<?php
checkLogin('usr');
$serv_cod = 'bus';
checkEnteService($serv_cod);
include("functions.inc.php");
include(ROOT."/includes/modules/anagrafiche/functions.inc.php");
include(ROOT."/includes/modules/servizi/functions.inc.php");


//rimuovi delegato
if(isset($_GET['rdel'])){
	del_delegato($_GET['rdel'],$serv_cod);
}

$anagr_id = intval($_REQUEST['id']);	

//cerco fra le mie anagrafiche di questo servizio
if($anagr_id > 0){
	check_my_anagr($anagr_id);
}else if($anagr = get_anagr(false,array('flt_serv_cod'=>$serv_cod))){
	$anagr = current($anagr['list']);
	$anagr_id = $anagr['anagr_id'];
}

//elimina
if(isset($_GET['del'])){
	$serv_id = get_servizio_id($serv_cod);
	$mysqli->query("DELETE FROM servizi_anagr WHERE anagr_id = ".$anagr_id." AND serv_id=".$serv_id);
	clear_anagr_servizi($anagr_id);	
	usrlog("Servizio ".get_serv_name($serv_cod)." - Alunno: %s. Eliminato dal servizio",$anagr_id,true); //log 
	Js('window.location="./"');
	die();
}

//estraggo impostazioni
$s = get_servbus($anagr_id);

$allowed_grp = get_grp_allowed($serv_cod,'cong');
$allowed_js = 'var arr_allowed = ['.implode(',',array_keys($allowed_grp)).'];';

//salvo impostazioni
if(isset($_POST['save'])){
		
	$anagr_has_serv = anagr_has_serv($anagr_id,$serv_cod);
	if(!$anagr_has_serv){
		if(intval($_POST['scuola']) == 0)
			printMsg('Selezionare la <strong>Scuola frequentata</strong>',"danger");
		if(intval($_POST['classe']) == 0)
			printMsg('Selezionare la <strong>Classe frequentata</strong>',"danger");
	}
	
	if(!is_empty($_POST['sosp_and_dal']) && !$sosp_and_dal = is_date($_POST['sosp_and_dal']))
		printMsg('<strong>Data sospensione<strong> andata "<strong>Dal</strong>" errata. Formato corretto: GG/MM/AAAA',"danger");
	if(!is_empty($_POST['sosp_and_al']) && !$sosp_and_al = is_date($_POST['sosp_and_al']))
		printMsg('<strong>Data sospensione</strong> andata "<strong>Al</strong>" errata. Formato corretto: GG/MM/AAAA',"danger");
	if(!is_empty($_POST['sosp_rit_dal']) && !$sosp_rit_dal = is_date($_POST['sosp_rit_dal']))
		printMsg('<strong>Data sospensione ritorno "<strong>Dal</strong>" errata. Formato corretto: GG/MM/AAAA',"danger");
	if(!is_empty($_POST['sosp_rit_al']) && !$sosp_rit_al = is_date($_POST['sosp_rit_al']))
		printMsg('<strong>Data sospensione ritorno "<strong>Al</strong>" errata. Formato corretto: GG/MM/AAAA',"danger");

	//indirizzi fermata obbligatori
	if(intval($_POST['andata']) == 1 && is_empty($_POST['indirizzo_and']))
		printMsg("Inserire l'<strong>indirizzo della fermata</strong> all'<strong>Andata</strong>","danger");
	if(intval($_POST['ritorno']) == 1 && is_empty($_POST['indirizzo_rit']))
		printMsg("Inserire l'<strong>indirizzo della fermata</strong> al <strong>Ritorno</strong>","danger");

	//attestazioni pagamento
	if($s['servbus_esente'] == 0){
		
		$arr_rata = array_filter($_POST['rata']);
		$arr_saldo = array_filter($_POST['saldo']);
	
		if(empty($arr_saldo) && empty($arr_rata))
			printMsg("Inserire l'<strong>Attestazione pagamento</strong> della 1&ordf; rata e/o del Saldo","danger");
		
		if(!empty($arr_rata)){
			if(is_empty($_POST['rata']['cro']))
				printMsg('Inserire il <strong>numero Bollettino della 1&ordf; rata</strong>',"danger");
			if(!is_cro($_POST['rata']['cro']))
				printMsg('<strong>numero Bollettino della 1&ordf; rata</strong> non corretto',"danger");
			 if(!$rata_data = is_date($_POST['rata']['data']))
				printMsg('<strong>Data pagamento 1&ordf; rata</strong> errata. Formato corretto: GG/MM/AAAA',"danger");
			 if(!is_importo($_POST['rata']['imp']))
				printMsg('<strong>Importo 1&ordf; rata</strong> non corretto. Formato corretto: 1234,00',"danger");
		}
	
		if(!empty($arr_saldo)){
			if(is_empty($_POST['saldo']['cro']))
				printMsg('Inserire il <strong>numero Bollettino del saldo</strong>',"danger");
			if(!is_cro($_POST['saldo']['cro']))
				printMsg('<strong>numero Bollettino del saldo</strong> non corretto',"danger");
			 if(!$saldo_data = is_date($_POST['saldo']['data']))
				printMsg('<strong>Data pagamento saldo</strong> errata. Formato corretto: GG/MM/AAAA',"danger");
			 if(!is_importo($_POST['saldo']['imp']))
				printMsg('<strong>Importo saldo</strong> non corretto. Formato corretto: 1234,00',"danger");
		}
		
		$pagemento_fields = "
			servbus_rata_cro = ".dbClean($_POST['rata']['cro']).",
			servbus_rata_data = ".dbClean($rata_data).",
			servbus_rata_imp = ".dbFloat($_POST['rata']['imp']).",
			servbus_saldo_cro = ".dbClean($_POST['saldo']['cro']).",
			servbus_saldo_data = ".dbClean($saldo_data).",
			servbus_saldo_imp = ".dbFloat($_POST['saldo']['imp']).",
		";		
	}
	
	if(!$anagr_has_serv){
		
		$result = $mysqli->query("INSERT INTO serv_".$serv_cod." (anagr_id,scuola_id,classe_id) VALUES (".$anagr_id.",".intval($_POST['scuola']).",".intval($_POST['classe']).")");
		if(!$result)
			printMsg("Errore durante il salvataggio, contattare l'Ente","danger");
		
		//assegnazione al servizio
		if(!assign_anagr_servizio($anagr_id,$serv_cod))
			printMsg("Errore durante l'assegnazione al servizio, contattare l'Ente","danger");

	}
	
	$result = $mysqli->query("
	UPDATE serv_bus SET
	".$pagemento_fields."
	servbus_sospeso = ".intval($_POST['sospeso']).",
	servbus_sosp_and_dal = ".dbClean($sosp_and_dal).",
	servbus_sosp_and_al = ".dbClean($sosp_and_al).",
	servbus_sosp_rit_dal = ".dbClean($sosp_rit_dal).",
	servbus_sosp_rit_al = ".dbClean($sosp_rit_al).",
	servbus_esente = ".intval($_POST['esente']).",
	servbus_andata = ".intval($_POST['andata']).",
	servbus_ritorno = ".intval($_POST['ritorno']).",
	servbus_congedo = ".intval($_POST['congedo']).",
	servbus_ferm_and_ind = ".dbClean(welltxt($_POST['indirizzo_and'])).",
	servbus_ferm_and_n = ".dbClean(welltxt($_POST['civico_and'])).",
	servbus_ferm_rit_ind = ".dbClean(welltxt($_POST['indirizzo_rit'])).",
	servbus_ferm_rit_n = ".dbClean(welltxt($_POST['civico_rit']))."
	WHERE anagr_id = ".$anagr_id);

	if(!$result)
		printMsg("Errore durante il salvataggio","danger");

	//log sospensione
	if($s['servbus_sospeso'] <> intval($_POST['sospeso'])){
		if(intval($_POST['sospeso']) == 1)
			usrlog("Servizio ".get_serv_name($serv_cod)." - Alunno: %s. Sospeso il servizio",$anagr_id,true); //log 
		else
			usrlog("Servizio ".get_serv_name($serv_cod)." - Alunno: %s. Ripreso il servizio",$anagr_id,true); //log 
	}
	
	//log sospensione parziale
	if($s['servbus_sosp_and_dal'] <> $sosp_and_dal){
		if(!empty($sosp_and_dal))
			usrlog("Servizio ".get_serv_name($serv_cod)." - Alunno: %s. Programmata sospensione",$anagr_id,true); //log 
		else
			usrlog("Servizio ".get_serv_name($serv_cod)." - Alunno: %s. Cancellata sospensione programmata",$anagr_id,true); //log 
	}

	
	Js('$(".hide-on-save").hide();');
	if(isset($_GET['newanagr']))
		printMsg("<strong>Complimenti, l'iscrizione al servizio Scuolabus &egrave; avvenuta con successo!</strong><br /><br />Ti ricordiamo che, se vorrai apportare modifiche, potrai potrai farlo direttamente da questa applicazione","success");
	else
		printMsg("Salvataggio modifiche avvenuto con successo!","success");

}

include("menu.inc.php");
$p = new Page('Servizio Bus');
$p->addMenu('logged');
$p->addModuleJs('script','servizi');
$p->printHeader();
?>

<div class="row">
	<div class="col-xs-9 col-sm-10">
		<h3 class="p-title"><a class="btn-back" href="../../home/usr/"><span class="glyphicon glyphicon-chevron-left"></span></a> Servizio Scuolabus</h3>
    </div>
	<div class="col-xs-3 col-sm-2"><?php print_optMenu('usr_conf');?></div>
</div>

<div class="panel panel-default">
	<div class="panel-body">
	
    <?php if($anagr_id > 0) : ?>
    
    <form role="form" class="form-horizontal" name="anagr_serv" action="<?php echo $_SERVER['REQUEST_URI'];?>" onSubmit="return post(this,'result_anagr_serv')">
        <?php print_serv_anagr_select($anagr_id,$serv_cod); ?>
        
        <div class="hide-on-save">
        <div class="form-group form-subtitle"><h4>Scuola frequentata</h4></div>
        
        <ul class="list-group">
            <li class="list-group-item">                
                <div class="row no-readonly">
                    <div class="col-sm-8">
                        <div class="row">
                        	<label class="control-label col-sm-2 xs-ptop-0">Scuola</label>
                            <div class="col-sm-8">
                        		<?php 
								foreach(get_gruppi($serv_cod) as $grpid=>$name){

									if($grpid == $s['scuola_id']){
										$scuola = $name;
										$sel = ' selected';
									}else{
										$sel = '';	
									}
									$opts_scuola .='<option value="'.$grpid.'"'.$sel.'>'.$name.'</option>';

								}
								
								if(!$s['scuola_id']) {
									echo '
									<select class="form-control" name="scuola" onChange="selXmlPop(\'#classe\',\'sottogruppi\',this.value)">
									<option value=""></option>'.$opts_scuola.'</select>';
									
								}else{
									echo '<p class="form-control-static">'.$scuola.'</p>';
								}
								?>
                            </div>
                        </div>
                    </div>
                    
                    <div class="col-sm-4">
                        <div class="row">
                        	<label class="control-label col-sm-4">Classe</label>
                            <div class="col-sm-8">
                        		<?php 
								if(!$s['scuola_id']) {
									echo '<select class="form-control" name="classe" id="classe" disabled></select>';
								}else{
									$gruppi = get_gruppi($serv_cod,$s['scuola_id']);
									echo '<p class="form-control-static">'.$gruppi[$s['classe_id']].'</p>';
								}
								?>
                            </div>
                        </div>
                    </div>
                </div>
            </li>
        </ul>

    	<div class="row">
			<div class="col-sm-6">

        		<div class="form-group form-subtitle"><h4>Impostazioni servizio</h4></div>
	            
                <ul class="list-group">
                    <li class="list-group-item">
                        <div class="row">
                            <label class="control-label col-xs-6 col-md-4" for="andata">Andata</label>
                            <div class="col-xs-6 col-sm-6 col-md-4 text-right">
                                <input type="checkbox" id="andata" name="andata" value="1" class="switch-btn"<?php if($s['servbus_andata'] == 1) echo ' checked';?> />
                            </div>
                        </div>
                    </li>
                    <li class="list-group-item">
                        <div class="row">
                            <label class="control-label col-xs-6 col-md-4" for="ritorno">Ritorno</label>
                            <div class="col-xs-6 col-sm-6 col-md-4 text-right">
                                <input type="checkbox" id="ritorno" name="ritorno" value="1" class="switch-btn"<?php if($s['servbus_ritorno'] == 1) echo ' checked';?> />
                            </div>
                        </div>
                    </li>
                
                    <li class="list-group-item">
                        <div class="row">
                            <label class="control-label col-xs-6 col-md-4" for="sospeso">Sospendi</label>
                            <div class="col-xs-6 col-sm-6 col-md-4 text-right">
                                <input onChange="servsosp(this)" type="checkbox" id="sospeso" name="sospeso" value="1" class="switch-btn"<?php if($s['servbus_sospeso'] == 1) echo ' checked';?> />
                            </div>
                        </div>
                    </li>
                </ul>
                
            </div>
            
			<div class="col-sm-6">

                <div class="form-group form-subtitle"><h4>Programma sospensione</h4></div>
                <ul class="list-group">
                    <li class="list-group-item p-bottom-2">
                        <h5 class="list-group-subtitle">Sospendi andata</h5>
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group m-bottom-10">
                                    <label class="control-label col-xs-2">dal</label>
                                    <div class="col-xs-10">
                                        <input placeholder="gg/mm/aaaa" maxlength="10" class="form-control" type="text" name="sosp_and_dal" value="<?php echo date_ita($s['servbus_sosp_and_dal']);?>" />
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group m-bottom-10">
                                    <label class="control-label col-xs-2">al</label>
                                    <div class="col-xs-10">
                                        <input placeholder="gg/mm/aaaa" maxlength="10" class="form-control" type="text" name="sosp_and_al" value="<?php echo date_ita($s['servbus_sosp_and_al']);?>" />
                                    </div>
                                </div>
                            </div>
                        </div>
                	</li>

                    <li class="list-group-item p-bottom-2">
                        <h5 class="list-group-subtitle">Sospendi ritorno</h5>
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group m-bottom-10">
                                    <label class="control-label col-xs-2">dal</label>
                                    <div class="col-xs-10">
                                        <input placeholder="gg/mm/aaaa" maxlength="10" class="form-control" type="text" name="sosp_rit_dal" value="<?php echo date_ita($s['servbus_sosp_rit_dal']);?>" />
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group m-bottom-10">
                                    <label class="control-label col-xs-2">al</label>
                                    <div class="col-xs-10">
                                        <input placeholder="gg/mm/aaaa" maxlength="10" class="form-control" type="text" name="sosp_rit_al" value="<?php echo date_ita($s['servbus_sosp_rit_al']);?>" />
                                    </div>
                                </div>
                            </div>
                        </div>
                	</li>

                </ul>        

			</div>            
        </div>  
        
        
        <div class="form-group form-subtitle"><h4>Indirizzo fermata</h4></div>
        
        <ul class="list-group">
            <li class="list-group-item">
                <div class="row">
                    <div class="col-sm-8">
                        <div class="row">
                        	<label class="control-label col-sm-2 xs-ptop-0">Andata</label>
                            <div class="col-sm-10 col-md-9">
                        		<input class="form-control" type="text" name="indirizzo_and" maxlength="40" value="<?php echo entities($s['servbus_ferm_and_ind']);?>" />
                            </div>
                        </div>
                    </div>
                    
                    <div class="col-sm-4">
                        <div class="row">
                        	<label class="control-label col-sm-3">Civico</label>
                            <div class="col-sm-8">
                        		<input class="form-control" type="text" name="civico_and" style="max-width:80px" maxlength="10" value="<?php echo entities($s['servbus_ferm_and_n']);?>" />
                            </div>
                        </div>
                    </div>
                </div>
            </li>
            <li class="list-group-item">
                <div class="row">
                    <div class="col-sm-8">
                        <div class="row">
                        	<label class="control-label col-sm-2 xs-ptop-0">Ritorno</label>
                            <div class="col-sm-10 col-md-9">
                        		<input class="form-control" type="text" name="indirizzo_rit" maxlength="40" value="<?php echo entities($s['servbus_ferm_rit_ind']);?>" />
                            </div>
                        </div>
                    </div>
                    
                    <div class="col-sm-4">
                        <div class="row">
                        	<label class="control-label col-sm-3">Civico</label>
                            <div class="col-sm-8">
                        		<input class="form-control" type="text" name="civico_rit" style="max-width:80px" maxlength="10" value="<?php echo entities($s['servbus_ferm_rit_n']);?>" />
                            </div>
                        </div>
                    </div>
                </div>
            </li>
        </ul>

        <div class="form-group form-subtitle"><h4>Delegati al ritiro del minore</h4></div>
        <div class="form-block-descr">
        In caso di personale indisponibilit&agrave;, ad accompagnare e ritirare il minore alla fermata Scuolabus, indicare fino ad un massimo di 3 delegati maggiorenni.
        </div>
        
        <ul class="list-group">
            <li class="list-group-item">
                <div id="delegati-add">
                    <button type="button" class="btn btn-primary" onClick="confDelegato('<?php echo $serv_cod;?>','<?php echo $s['anagr_id'];?>')">
                        <span class="glyphicon glyphicon-plus"></span> Aggiungi
                    </button>
                    <input type="hidden" id="n_delegati" value="3" />
                </div>
                <div class="form-group">
                    <div id="delegati" class="col-xs-12 col-sm-8"></div>
                </div>
            </li>
        </ul>   
		
        <div id="block-congedo" class="hidden">
        <div class="form-group form-subtitle"><h4>Scarico alla fermata</h4></div>
        <div class="form-block-descr text-justify">
            <strong>In caso di temporanea impossibilit&agrave;</strong> a provvedere al recupero - sia personale che tramite i soggetti sopra delegati - dell'alunno, <strong>autorizzo</strong>, sollevando fin da ora da ogni implicazione il personale preposto alla guida dello Scuolabus ed assumendo completamente a mio carico ogni responsabilit&agrave; derivante dalla mancata custodia del minore, <strong>lo scarico dello stesso alle fermate sopra individuate.</strong>
        </div>
        <div class="row">
            <div class="col-sm-6 col-md-4">
                <ul class="list-group">
                    <li class="list-group-item">
                        <div class="row">
                            <label class="control-label col-xs-5 col-sm-4" for="congedo">Autorizzo</label>
                            <div class="col-xs-7 col-sm-8 text-right">
                                <input type="checkbox" id="congedo" name="congedo" value="1" class="switch-btn"<?php if($s['servbus_congedo'] == 1) echo ' checked';?> />
                            </div>
                        </div>
                    </li>
                </ul>
            </div>
        </div>
		</div>
		
        <?php if($s['servbus_esente'] == 0) : ?>
        
        <div class="form-group form-subtitle"><h4>Attestazione pagamento</h4></div>
        <ul class="list-group">
            <li class="list-group-item">
                <h5 class="list-group-subtitle m-bottom-0">1&ordf; rata</h5>
                <div class="row">
                    <div class="col-sm-4">
                        <label class="control-label">N. Bollettino</label>
                        <div class="input-group">
                          	<span class="input-group-btn">
                            	<button class="btn btn-help" type="button" onClick="dialog('/servizi/diag/pagamenti/',1)">?</button>
                          	</span>
                        	<input type="text" name="rata[cro]" class="form-control" value="<?php echo entities($s['servbus_rata_cro']);?>">
                        </div>
                    </div>

                    <div class="col-sm-4 col-md-3 col-md-offset-1">
                        <label class="control-label">Data pagamento</label>
                        <input placeholder="gg/mm/aaaa" type="text" name="rata[data]" class="form-control" value="<?php echo date_ita($s['servbus_rata_data']);?>">
                    </div>

                    <div class="col-sm-4 col-md-3 col-md-offset-1">
                        <label class="control-label">Importo</label>
                        <input type="text" name="rata[imp]" class="form-control" value="<?php echo importo($s['servbus_rata_imp']);?>">
                    </div>

				</div>
            </li>

            <li class="list-group-item">
                <h5 class="list-group-subtitle m-bottom-0">Saldo</h5>
                <div class="form-group">
                    <div class="col-sm-4">
                        <label class="control-label">N. Bollettino</label>
                        <div class="input-group">
                          	<span class="input-group-btn">
                            	<button class="btn btn-help" type="button" onClick="dialog('/servizi/diag/pagamenti/',1)">?</button>
                          	</span>
                        	<input type="text" name="saldo[cro]" class="form-control" value="<?php echo entities($s['servbus_saldo_cro']);?>">
                        </div>
                    </div>

                    <div class="col-sm-4 col-md-3 col-md-offset-1">
                        <label class="control-label">Data pagamento</label>
                        <input placeholder="gg/mm/aaaa" type="text" name="saldo[data]" class="form-control" value="<?php echo date_ita($s['servbus_saldo_data']);?>">
                    </div>

                    <div class="col-sm-4 col-md-3 col-md-offset-1">
                        <label class="control-label">Importo</label>
                        <input type="text" name="saldo[imp]" class="form-control" value="<?php echo importo($s['servbus_saldo_imp']);?>">
                    </div>

				</div>
            </li>

        </ul>
		<?php endif ?>
        
        <div class="panel panel-warning">
            <div class="panel-body bg-warning text-warning">
            Con la compilazione del presente modulo mi impegno a comunicare tempestivamente le eventuali variazioni che interverranno durante l'A.S. ed a rispettare il Regolamento di trasporto scolastico adottato con verbale di C.C. n. 46 del 30/12/2009, accettandone tutte le condizioni e modalit&agrave; previste.
            </div>
    	</div>
		</div>
        
		<div id="result_anagr_serv"></div>
        
        <div class="form-buttons">
            <button type="submit" class="btn btn-primary hide-on-save">Salva</button>
            <button type="button" class="btn btn-default" onClick="goto('../../home/usr/')">Torna al menu</button>
        </div>
        
        <input type="hidden" name="save" value="1" />
        <input type="hidden" name="id" value="<?php echo $anagr_id;?>" />


	</form>
 
 
 	<?php else : ?>
    <div class="alert alert-info"><h4>Devi effettuare una registrazione al servizio Scuolabus?</h4>Allora clicca sul pulsante verde <strong> Opzioni <span class="glyphicon glyphicon-cog"></span> </strong>, in alto a destra, e scegli <strong>Nuova iscrizione</strong></div>
    <div class="text-center">
        <a href="../../home/usr/" class="btn btn-default">Pagina principale</a>
    </div>
    <?php endif ?>
 
    
    </div>
</div>

<script>
<?php
if($s['delegati'])
	foreach($s['delegati'] as $k=>$v)
		  echo 'addDelegato('.$k.',"'.entities($v).'","'.$serv_cod.'",'.$s['anagr_id'].');';
?>
$(function(){
	btnDelegati();
	servsosp($('[name="sospeso"]'));
	allow_congedo(<?php echo $s['classe_id'];?>);	
});
	
function allow_congedo(val){
	<?php echo $allowed_js;?>
	if(jQuery.inArray(parseInt(val),arr_allowed) == -1)
		$('#block-congedo').addClass('hidden');
	else
		$('#block-congedo').removeClass('hidden');
}

</script>
<?php
$p->printFooter();
?>
